Subject: Re: [PATCH 0/3] gnu: gnunet: Update to 0.14.1-77fd866..

From: Brendan Tildesley <[email-masked]>
Date: Sun, 23 May 2021 10:39:40 +0200 (CEST)

> On 05/21/2021 8:23 AM Maxime Devos <[email-masked]> wrote:
...
> I couldn't find all the v4 patches (only [PATCH v4 2/3]) so I had to piece a
> few together. I thought I sent a mail asking whether I got the correct patches
> but apparently I didn't. It would be best if you resent the patch series.

Sorry I only sent the v4 for that one, I didn't realise I should have sent
the whole set.

> Looking at the code, it should
> 
>             ;; Test may be broken: https://bugs.gnunet.org/view.php?id=6114
>             (substitute* "src/setu/Makefile"
>               (("test_setu_api ") ""))
> 

The substitute was wrong but I've fixed it locally.

> 
> > Maybe the substitute I added didn't actually disable it properly and the test doesn't fail 100%
> > of the time. I'm building it again.
> 
> In any case, I re-ran with "--keep-failed", and this time got a different failing test:

Ok I don't get that one, but I also got a test_cadet_5_speed_reliable error. I'm starting to think
we should just set #:test? #f because there are too many unreliable tests. Probably the ones
I reenabled are still bad too. What do you think?